# Ominaisuus REKISTERÖITYMINEN

* Ominaisuuden vastuuhenkilö: Niina Lampi
* Status (Hyväksytty)

### Kuvaus

Käyttäjä, oppilas tai työntekijä, voi kirjautua palveluun koulunsa tai työpaikkansa nimissä. Palvelu ei kerää henkilöiden
henkilökohtaisia tietoja (ikä, sukupuoli yms.) kirjautumisen yhteydessä. Työntekijöiden palvelussa tekemät asiat (suositellut opintopolut) tallentuvat ensisijaisesti yrityksen
omaan heatmappiin palvelussa.

### Käyttötapaukset (Use Cases)

Täitä käyttötapauksia voidaan tarvittaessa käyttää hyväksyntätesteinä tai pohjana niille.

* [Käyttötapaus 1](FT1-kayttotapaus.md)
* [Käyttötapaus 2](FT2-kayttotapaus.md)


### Alustavat käyttäjätarinat (User Storys)

* _Käyttäjänä haluan, että voin kirjautua palveluun omilla tunnuksillani, sillä se tekee palvelun käytöstä selkeämpää_
* _Ylläpitäjänä haluan, että käyttäjä voi kirjautua palveluuun, sillä se helpottaa tietokannan käsittelyä_


### Käyttöliittymänäkymä/mock

![](images/rekisteröinti_mock.PNG)
![](images/rekisteröinti_mock2.PNG)

Näyttökaappaus Fluid-sivustolla tehdystä mallinnuksesta.
Ensirekisteröinnin mockup nähtävissä [täällä](https://www.fluidui.com/editor/live/preview/cF8zTnh4NlY0SGwzcFdNYW9VY3RvR2lzWGhSU0FieHlRbw==)


### Ominaisuuteen liittyvät toiminnalliset vaatimukset

* Käyttäjän saapuessa palveluun tulee ensin näkyville kirjautumissivu
* Käyttäjän on mahdollista kirjautua palveluun käyttäen koulun tai työpaikan antamaa tunnusta
* Palveluun voi kirjautua myös vieraana

### Ominaisuuteen liittävät ei-toiminnalliset vaatimukset

* Sisäänkirjautuessa tunnusten oikeellisuuden tarkistus saa viedä enintään 1s.

### Ominaisuuteen liittyvät rajaukset

* Kirjautuakseen palveluun käyttäjän on täytynyt saada tunnukset koulultaan/työpaikaltaan


### Status/Aikataulu/Roadmap

| Status | |
|:----:|:----:|
| Hyväksytty/ Hylätty | - |




