# Ominaisuus OPINTOPOLUT

* Ominaisuuden vastuuhenkilö: Niina Lampi
* Status (Ehdotus/Hyväksytty/Hylätty)

### Kuvaus

Tämä käyttötapaus kuvaa sitä, kuinka asiakas käyttää itse palvelua, eli opiskelijan tapauksessa selaa opintopolkuja ja kursseja tai työntekijänä lisää sivulle omia opintosuosituksiaan.


### Käyttötapaukset (Use Cases)

Näitä käyttötapauksia voidaan tarvittaessa käyttää hyväksyntätesteinä tai pohjana niille.

* [Käyttötapaus 2](FT2-kayttotapaus.md)


### Alustavat käyttäjätarinat (User Storys)

* _Käyttäjänä haluan, että voin selata palvelun sisältöä helposti_
* _Käyttäjänä haluan, että voin lisätä suositukseni helposti ja nopeasti_
* _Ylläpitäjänä haluan, opintopolkujen käsittely käy sutjakkaasti opiskelijoille ja työntekijöille_

### Käyttöliittymänäkymä/mock

![](images/yritysten_opintopolut_mock.PNG)

Opiskelijan opintopolkunäkymässä pystyisi selailemaan rinnakkain olevia yritysten heatmappeja. Ensimmäisenä olisi kaikista palveluun kirjatuista opintopoluista yhteinen heatmap, tutkinto- tai alakohtaisesti.
Työntekijälle olisi heatmapit myös näkyvillä, mutta tälle olisi olemassa myös painike 'Lisää oma opintopolku'. 

![](images/lisää_opintopolku.PNG)

### Ominaisuuteen liittyvät toiminnalliset vaatimukset

* Käyttäjän kirjauduttua palveluun hän voi valita kahdesta vaihtoehdosta: kurssitarjonnan selailu ja yritusten opintosuositusten selailu
* Käyttäjä voi selata muidenkin opiskelupaikkojen kurssitarjontaa

### Ominaisuuteen liittävät ei-toiminnalliset vaatimukset

* Opintopolkuja on helppo selata

### Ominaisuuteen liittyvät rajaukset

* Sivustolla on oltava valmiina kurssitarjonnat ja yritysten suositukset

### Status/Aikataulu/Roadmap

| Status | |
|:----:|:----:|
| Hyväksytty/ Hylätty | - |




